From 94514d2874fda23618a921b47216269c9a2e264c Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Thu, 26 Jul 2018 03:05:33 +0200
Subject: [PATCH] debsnap: Switch from http to https for snapshot.debian.org
 URLs

---
 README                   | 2 +-
 conf.default.in          | 2 +-
 debian/control           | 2 +-
 debian/lintian-overrides | 4 ++--
 scripts/debsnap.1        | 4 ++--
 scripts/debsnap.pl       | 2 +-
 6 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/README b/README
index ff9c2dac..7f1fe36c 100644
--- a/README
+++ b/README
@@ -138,7 +138,7 @@ And now, in mostly alphabetical order, the scripts:
   .changes and .dsc files from a remote machine. [gnupg |gnupg2,
   debian-keyring, ssh-client]
 
-- debsnap: grab packages from http://snapshot.debian.org [libwww-perl,
+- debsnap: grab packages from https://snapshot.debian.org [libwww-perl,
   libjson-perl]
 
 - debuild: A wrapper for building a package (i.e., dpkg-buildpackage) to
diff --git a/conf.default.in b/conf.default.in
index 4998bf2a..afab0d9c 100644
--- a/conf.default.in
+++ b/conf.default.in
@@ -339,7 +339,7 @@
 # DEBSNAP_VERBOSE=no
 #
 # The base URL of the archive to download from
-# DEBSNAP_BASE_URL=http://snapshot.debian.org
+# DEBSNAP_BASE_URL=https://snapshot.debian.org
 #
 # A sed regexp to transform pool/<component>/f/foo into the desired layout
 # default: make the directory from pool/<component>/f/foo to pool/f/foo
diff --git a/debian/control b/debian/control
index 82ddc96e..0dc42a33 100644
--- a/debian/control
+++ b/debian/control
@@ -184,7 +184,7 @@ Description: scripts to make the life of a Debian Package maintainer easier
     the rest of the package to be present; can sign the pair remotely
     or fetch the pair from a remote machine for signing [gnupg | gnupg2,
     debian-keyring, ssh-client]
-  - debsnap: grab packages from http://snapshot.debian.org [libwww-perl]
+  - debsnap: grab packages from https://snapshot.debian.org [libwww-perl]
   - debuild: wrapper to build a package without having to su or worry
     about how to invoke dpkg to build using fakeroot.  Also deals
     with common environment problems, umask etc. [fakeroot, lintian,
diff --git a/debian/lintian-overrides b/debian/lintian-overrides
index 646f453c..96155f69 100644
--- a/debian/lintian-overrides
+++ b/debian/lintian-overrides
@@ -1,2 +1,2 @@
-# "debsnap: grab packages from http://snapshot.debian.org" isn't a homepage
-devscripts: description-possibly-contains-homepage http://snapshot.debian.org
+# "debsnap: grab packages from https://snapshot.debian.org" isn't a homepage
+devscripts: description-possibly-contains-homepage https://snapshot.debian.org
diff --git a/scripts/debsnap.1 b/scripts/debsnap.1
index cef310b3..0f2ea834 100644
--- a/scripts/debsnap.1
+++ b/scripts/debsnap.1
@@ -16,7 +16,7 @@ debsnap \- retrieve old snapshots of Debian packages
 a daily archive repository.
 
 The only publicly available snapshot archive is currently located at
-\fIhttp://snapshot.debian.org\fP
+\fIhttps://snapshot.debian.org\fP
 
 By default, debsnap will download all the available versions for \fIpackage\fP
 that are found in the snapshot archive.  If a \fIversion\fP is specified, only
@@ -97,7 +97,7 @@ Set a default path for the destination directory.  If unset
 .B DEBSNAP_BASE_URL
 The base url for the snapshots archive.
 
-If unset this defaults to \fIhttp://snapshot.debian.org\fP
+If unset this defaults to \fIhttps://snapshot.debian.org\fP
 
 .SH EXIT STATUS
 \fBdebsnap\fP will return an exit status of 0 if all operations succeeded,
diff --git a/scripts/debsnap.pl b/scripts/debsnap.pl
index 0b6fcc9e..9fb0ba2d 100755
--- a/scripts/debsnap.pl
+++ b/scripts/debsnap.pl
@@ -122,7 +122,7 @@ sub read_conf
     %config_vars = (
 	'DEBSNAP_VERBOSE' => 'no',
 	'DEBSNAP_DESTDIR' => '',
-	'DEBSNAP_BASE_URL' => 'http://snapshot.debian.org',
+	'DEBSNAP_BASE_URL' => 'https://snapshot.debian.org',
     );
 
     my %config_default = %config_vars;
-- 
2.18.0.345.g5c9ce644c3

